Create broadcastDiffuser resource
curl --request POST \
--url https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/broadcastDiffusers \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"type": "webSite",
"seo": {
"title": "string",
"metaDescription": "string",
"indexing": true
}
}
'import requests
url = "https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/broadcastDiffusers"
payload = {
"type": "webSite",
"seo": {
"title": "string",
"metaDescription": "string",
"indexing": True
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'webSite',
seo: {title: 'string', metaDescription: 'string', indexing: true}
})
};
fetch('https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/broadcastDiffusers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "webSite",
"seo": {
"title": "string",
"metaDescription": "string",
"indexing": true,
"customSlug": "string",
"openGraph": {
"title": "string",
"description": "string",
"imageUrl": "https://example.com"
}
},
"_id": "64b7f8b6f23a4a4f3d0a9b12",
"_createdAt": "2024-01-01T00:00:00.000Z",
"status": "draft",
"publication": {
"customUrl": "https://example.com",
"password": "string",
"publishAt": null
},
"analytics": {
"googleAnalyticsId": "string",
"metaPixelId": "string",
"matomoUrl": "https://example.com",
"matomoSiteId": "string",
"enabled": true
},
"metadata": {},
"_updatedAt": "2024-01-01T00:00:00.000Z",
"_reference": "string"
}broadcastDiffuser resource
Create broadcastDiffuser resource
POST
/
v1
/
users
/
{userId}
/
broadcasts
/
{broadcastId}
/
broadcastDiffusers
Create broadcastDiffuser resource
Authorizations
Use the format X-API-KEY YOUR_API_KEY. Each key is tied to a single broadcast.
Path Parameters
Resource identifier.
Resource identifier.
Body
application/json
Available options:
webSite, app Example:
"webSite"
Show child attributes
Show child attributes
Available options:
draft, published Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
201 - application/json
Success
Available options:
webSite, app Example:
"webSite"
Show child attributes
Show child attributes
Example:
"64b7f8b6f23a4a4f3d0a9b12"
Example:
"2024-01-01T00:00:00.000Z"
Available options:
draft, published Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2024-01-01T00:00:00.000Z"
Example:
"string"
Was this page helpful?
⌘I